Subject: Re: Allowing "/" in the name of a git remote is a strange choice

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Jul 2025 07:18:36 -0700

Patrick Steinhardt <[email-masked]> writes:

>> So it is not like we can just forbid '/' retroactively and expect no
>> repercussions, especially given that I hear there are more than a
>> few thousands of existing Git users in the world.
>
> We cannot just blanket-disallow this now, true. But shouldn't Git be
> able to detect this conflict, similar to how a user cannot have both
> refs/heads/branch and refs/heads/branch/nested?

Yup.  Sorry but I should probably have not left it out, as that was
way too obvious an improved "solution", compared to "just forbid '/',
as I cannot imagine anybody using it".